Skip to main content
What version of Bullhorn is supported with the 8x8 native integration?
8x8 Support

What version of Bullhorn is supported with the 8x8 native integration?

Answer

The Bullhorn native integration is compatible with the versions below:

  • S Experience
  • Was this article helpful?